Subject: [XCON] RE: CPCP Reqs and time-related requirements

From: [email-masked]
Date: Fri, 16 Apr 2004 13:13:00 +0300

[moving to the mailing list]

> -----Original Message-----
> From: ext Even, Roni [mailto:[email-masked]]
> Sent: 16.April.2004 13:00
> To: Koskelainen Petri (Nokia-NRC/Tampere); [email-masked];
> [email-masked]; [email-masked]; Even, Roni
> Cc: Khartabil Hisham (Nokia-TP-MSW/Helsinki); [email-masked]
> Subject: RE: CPCP Reqs and time-related requirements
> 
> 
> 
> Hi,
> In general I think you are going to a mine field with the 
> time issue since
> the majority wants it so go ahead.
> Now for comments
> 
> 1. I think that there should be a requirement that states 
> that it must be
> possible to change the end time after the conference has started.

Yes, we had the requirement but it looks like Petri forgot to add it in here (You can notice that REQ X5 is missing from the list below.

> 
> 2. In general - Do you think that media mixing end-time is 
> separate from the
> conference end-time. If not how are they related. Do you specify the
> conference length by the mixing time.

We are not defining conference end-time. That was agreed already due to resource reservation issues. What the conference policy carries is the conference media mixing end-time.

> 
> 3. I think that there should be some text explaining if the 
> times are for
> resource reservation or if it is up to the application. I 
> think that the
> consensus was that it is not resource reservation and it is up to the
> application to decide if it is or not.

Agreed. 

Thanks,
Hisham

> 
> 
> Roni
> 
> *************************************
> Roni Even
> VP Product Planning
> Polycom Israel
> 
> Tel: +972-3-9251200
> Cell: +972-55-481099
> email:[email-masked]
> *******************************************
> 
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Friday, April 16, 2004 12:38 PM
> To: [email-masked]; [email-masked]; [email-masked];
> [email-masked]
> Cc: [email-masked]; [email-masked]
> Subject: CPCP Reqs and time-related requirements
> 
> 
> Hi,
> 
> Based on the feedback, list discussion, and meeting minutes we came up
> with the following proposal with Hisham. Please comment..
> 
> New time related requirements:
> 
> 
> REQ X1: It MUST be possible to define the time when media 
> mixing may start
> ("don't-mix-before-time") and 
> stop ("cannot-continue-after") operating in the conference.
> 
> REQ X2: It MUST be possible to define the time after which 
> users are allowed
> to join the conference. 
> 
> REQ X3: It MUST be possible to define the time after which 
> new users are not
> allowed to join 
> the conference anymore 
> 
> REQ X4: It MUST be possible to define the time when users or 
> resources on
> the dial-out 
> list are invited to join the conference.
> 
> REQ X6: It MUST be possible to indicate key participants
> 
> REQ X7a: It MUST be possible to define when media mixing 
> starts based on the
> latter of the mixing start time, and the time the first 
> participant arrives
> REQ X7b: It MUST be possible to define when media mixing 
> starts based on the
> latter of the mixing start time, and the time the first key 
> participant
> arrives
> 
> REQ X8a: It MUST be possible to define when media mixing 
> stops based on the
> earlier of the mixing stop time, and the time the last 
> participant leaves
> the conference
> REQ X8b: It MUST be possible to define when media mixing 
> stops based on the
> earlier of the mixing stop time, and the time the last key participant
> leaves
> REQ X8c: It MUST be possible to define when media mixing 
> stops based on the
> time only.
> 
> 
> REQ X9: It MUST be possible to define that the users and 
> resources on the
> dial-out list are invited
> only after first key participant has joined.
> 	Note: This parameter, if set, overrides the time defined by X4.
> 
> 
> 
> --
> Petri
> > -----Original Message-----
> > From: ext Cullen Jennings [mailto:[email-masked]]
> > Sent: 16 April, 2004 00:40
> > To: Rohan Mahy; Adam Roach
> > Cc: Khartabil Hisham (Nokia-TP-MSW/Helsinki); [email-masked];
> > Koskelainen Petri (Nokia-NRC/Tampere)
> > Subject: Re: CPCP Reqs
> > 
> > 
> > 
> > I think I sent text too.
> > 
> > On 4/1/04 12:44 PM, "Rohan Mahy" <[email-masked]> wrote:
> > 
> > > I sent this to Eric Burger and Hisham.....
> > > 
> > >> You have a collection of "startPolicies".   a few of these 
> > enumerated
> > >> in CPCP need to include:
> > >> 
> > >> 1. cantMixBeforeTime  (a time before which no mixing 
> could possibly
> > >> occur--mixing could begin later or not at all) it could be 
> > expressed a
> > >> delta, in gmt, as now, or never
> > >> 
> > >> 2. dialoutTime (the time when you call participants into the
> > >> conference. it could be expressed as a delta, in gmt, as now, as
> > >> never, and "at usage start"
> > >> 
> > >> You could also add to CPCP a way to define when usage of the
> > >> conference begins
> > >> 
> > >> 3. startUsagePolicy describes how the conference server 
> determines
> > >> that a conference is being  used for the first time.  
> when anyn(n)
> > >> participants join, when allOf(list) listed participants 
> join, when
> > >> anynof(n,list) (any <n> of the listed participants) indicates a
> > >> sufficient quorum.
> > >> 
> > >> You also need a collection of "destroyPolicies".  At least one of
> > >> these is:
> > >> 
> > >> 1. cantContinuePast (a time after which no more mixing 
> > could possibly
> > >> occur) which could be expressed as a delta (from now), 
> > gmt, now, never
> > >> 
> > >> optionally you could also have
> > >> 
> > >> 2. autoDestroyPolicy describes how the conference server 
> > determines it
> > >> can reclaim and automatically destroy a conference that is 
> > no longer
> > >> interesting.  This could be expressed as never, at an 
> > explicit time,
> > >> when there are <n> minparticipants(n) or <n> 
> > minlistedparticipants(n,
> > >> list), or <n> minparticipantswithrole(n, rolelist), or <n>
> > >> minparticipantswithproperties(n, propertylist)
> > >> 
> > >> 
> > >> Notes: "delta" is always a number of time units (ex: seconds,
> > >> milliseconds) from now.
> > >> Observation on dialoutTime:  If you have 5 dialout users 
> > and two are
> > >> keyparticipants, how do you do that.  answer 
> > startpolicy-dialouttime
> > >> is anything other than atstart.  individual dial-out uris have a
> > >> boolean policy knob, waitforstart which is set on all the non-key
> > >> dialout participants
> > > 
> > > 
> > 
> 

_______________________________________________
XCON mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/xcon